*** Constant Group: VSSFlags
* Flag the User file Read-Only
#define VSSFLAG_USERRONO                                  1
#define VSSFLAG_USERROYES                                 2
* Set the file's datetime to now, modification or update
#define VSSFLAG_TIMENOW                                   4
#define VSSFLAG_TIMEMOD                                   8
#define VSSFLAG_TIMEUPD                                   12
* Specify the End of Line character as Carriage Return, 
* Line Feed, or both
#define VSSFLAG_EOLCR                                     16
#define VSSFLAG_EOLLF                                     32
#define VSSFLAG_EOLCRLF                                   48
* How to handle read-write files when getting: ask, replace,
* skip or merge
#define VSSFLAG_REPASK                                    64
#define VSSFLAG_REPREPLACE                                128
#define VSSFLAG_REPSKIP                                   192
#define VSSFLAG_REPMERGE                                  256
* Compare files fully, by timestamp or by checksum
#define VSSFLAG_CMPFULL                                   512
#define VSSFLAG_CMPTIME                                   1024
#define VSSFLAG_CMPCHKSUM                                 1536
#define VSSFLAG_CMPFAIL                                   2048
* Use recursion through sub-projects
#define VSSFLAG_RECURSNO                                  4096
#define VSSFLAG_RECURSYES                                 8192
* Force the Working Directory to the specified directory
#define VSSFLAG_FORCEDIRNO                                16384
#define VSSFLAG_FORCEDIRYES                               32768
* Keep local file copies after updating SourceSafe
#define VSSFLAG_KEEPNO                                    65536
#define VSSFLAG_KEEPYES                                   131072
#define VSSFLAG_DELNO                                     262144
#define VSSFLAG_DELYES                                    524288
#define VSSFLAG_DELNOREPLACE                              786432
* Are files tested or specified as binary or text
#define VSSFLAG_BINTEST                                   1048576
#define VSSFLAG_BINBINARY                                 2097152
#define VSSFLAG_BINTEXT                                   3145728
* 
#define VSSFLAG_DELTAYES                                  4194304
#define VSSFLAG_DELTANO                                   8388608
* 
#define VSSFLAG_UPDASK                                    16777216
#define VSSFLAG_UPDUPDATE                                 33554432
#define VSSFLAG_UPDUNCH                                   50331648
* 
#define VSSFLAG_GETYES                                    67108864
#define VSSFLAG_GETNO                                     134217728
*
#define VSSFLAG_CHKEXCLUSIVEYES                           268435456
#define VSSFLAG_CHKEXCLUSIVENO                            536870912
#define VSSFLAG_HISTIGNOREFILES                           1073741824

*** Constant Group: VSSFileStatus
#define VSSFILE_NOTCHECKEDOUT                             0
#define VSSFILE_CHECKEDOUT                                1
#define VSSFILE_CHECKEDOUT_ME                             2

*** Constant Group: VSSItemType
#define VSSITEM_PROJECT                                   0
#define VSSITEM_FILE                                      1

*** Constant Group: VSSRights
#define VSSRIGHTS_READ                                    1
#define VSSRIGHTS_CHKUPD                                  2
#define VSSRIGHTS_ADDRENREM                               4
#define VSSRIGHTS_DESTROY                                 8
#define VSSRIGHTS_ALL                                     15
#define VSSRIGHTS_INHERITED                               16
