********************************************************************
* Program....: TREELIST.PRG
* Version....: 1.0
* Author.....: Ted Roche
* Date.......: November 18, 2000
* Notice.....: Copyright  2000 Ted Roche, All Rights Reserved.
* Compiler...: Visual FoxPro 06.00.8492.00 for Windows
* Abstract...: List the project tree structure for the current SourceSafe
* Changes....:
********************************************************************

* Uses the Fox Foundation Classes to get Registry entries.
* Remark this out and hardcode your own path (or set it up
* as a parameter) if you would prefer

LOCAL oRegistry, cVSSPath
cVSSPATH = SPACE(128)
#DEFINE HKEY_LOCAL_MACHINE          -2147483646
oRegistry = NEWOBJECT("Registry", HOME()+"FFC\Registry.VCX")
lnError = oRegistry.GetRegKey("Current Database", @cVSSPath, ;
          "Software\Microsoft\SourceSafe", HKEY_LOCAL_MACHINE)

* Create an Automation object for the database
* Assume the Guest account is available and has no password
LOCAL oVSS
oVSS = CreateObject("SourceSafe")
oVSS.Open(cVSSPath + "\srcsafe.ini", "Guest","")
* Start the list going, from the root
ListPath(oVSS, "$/")

RETURN

Function ListPath(toVSS, tcPath)
* Find all of the items on this path that are sub-projects and list them
local loItem
#DEFINE VSSITEM_PROJECT 0
FOR EACH loItem IN toVss.VSSItem(tcPath).Items
   IF loItem.Type = VSSITEM_PROJECT
     ? tcPath + loItem.Name
     ListPath(toVSS, tcPath + loItem.Name + "/")
   ENDIF
ENDFOR &&* EACH loItem IN toVss.VSSItem(tcPath)
